<link rel="import" href="../../bower_components/polymer/polymer.html">
<link rel="import" href="../../bower_components/iron-icon/iron-icon.html">
<link rel="import" href="../../bower_components/iron-icons/iron-icons.html">
<link rel="import" href="../../bower_components/paper-item/paper-item.html">
<link rel="import" href="../../bower_components/paper-item/paper-item-body.html">
<link rel="import" href="../../bower_components/paper-item/paper-icon-item.html">
<link rel="import" href="../../bower_components/paper-icon-button/paper-icon-button.html">
<link rel="import" href="../../bower_components/paper-ripple/paper-ripple.html">
<link rel="import" href="../shared-styles.html">

<dom-module id="transactions-list">
  <template>
    <style include="shared-styles">
      :host {
        display: block;
        padding: 10px;
      }
      .avatar {
      display: inline-block;
      box-sizing: border-box;
      width: 40px;
      height: 40px;
      border-radius: 50%;
      background: var(--paper-amber-500);
    }
    .blue {
      background-color: var(--paper-light-blue-300);
    }
    h4 {
      padding: 0 16px;
    }
    </style>
    
    <h4>14 Sep 2016</h4>
    <div role="listbox">
      <paper-icon-item>
        <div class="avatar blue" item-icon></div>
        <paper-item-body two-line>
          <div>Spotify</div>
          <div secondary>12:30 p.m.</div>
        </paper-item-body>
        <span>&#43; &#36;23.00</span>
        <paper-ripple></paper-ripple>
      </paper-icon-item>
      <paper-icon-item>
        <div class="avatar" item-icon></div>
        <paper-item-body two-line>
          <div>Netflix</div>
          <div secondary>10:23 a.m.</div>
        </paper-item-body>
        <span>&#43; &#36;149.00</span>
        <paper-ripple></paper-ripple>
      </paper-icon-item>
      <paper-icon-item>
        <div class="avatar" item-icon></div>
        <paper-item-body two-line>
          <div>Microsoft</div>
          <div secondary>10:23 a.m.</div>
        </paper-item-body>
        <span>&#43; &#36;49.00</span>
        <paper-ripple></paper-ripple>
      </paper-icon-item>
    </div>

  </template>

  <script>
    Polymer({
      is: 'transactions-list'
    });
  </script>
</dom-module>
